function  plotData3DbyDistance(data,num)

n_points=size(data,2);
scanRGB = zeros(n_points,3);
step =0.1;

[ignore inx] =sort(data(3,:));
data = data(:,inx);
color_  = jet(size( 1:step:ceil(max(data(3,:))-min(data(3,:))),2));
d_min = min(data(3,:));

figure(num); axis equal; hold on;

for i =1:size(color_,1)
  [lowinx  uppinx] =binSearch(d_min+step*(i-1),step/2,0,data(3,:)');
%   scanRGB(lowinx:uppinx,:) = repmat(color_(i,:),uppinx-lowinx+1,1);
   plot3(data(1,lowinx:uppinx),...
        data(2,lowinx:uppinx),...
        data(3,lowinx:uppinx),...
        '.','Color',color_(i,:), ...
        'MarkerSize',3);
end
view(45,45)

