function show_netcam_sequence(varargin)

% Barcelona Robot Lab Data Set (BRL)
% IRI Mobile Robotics Group, 2011

%% path dataset xlm

s = filesep;
if nargin < 1
  % Default directory
  root_dir = ['..' s '..' s 'eval_data_set'];  
else
  % your data set directory
  root_dir = varargin{1};
end

initParseTools('.');
%% images path
path_im=[ root_dir '/20101021_cam_net_ft.xml'];
%information from xml
files.images = getFilesParam(path_im);
path_dest=[ root_dir files.images(1).SRC '/'];


%% load first image to get size
myscale=0.25;
path_image=[path_dest files.images(1).File(1).Name];
F=imresize(imread(path_image),myscale);
[m,n,o]=size(F);
x = zeros(m,n,o);
FF = repmat(F,[3,6,1]);

%%
FF(2*m+1:end,5*n+1:end,:)= zeros(m,n,o);
for i=1:1:size(files.images,2),
    path_image=[path_dest files.images(i).File(1).Name];
    FF(1:m,1:n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(2).Name];
    FF(1:m,n+1:2*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(3).Name];
    FF(1:m,2*n+1:3*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(4).Name];
    FF(1:m,3*n+1:4*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(5).Name];
    FF(1:m,4*n+1:5*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(6).Name];
    FF(1:m,5*n+1:end,:)=imresize(imread(path_image),myscale);
    %
    path_image=[path_dest files.images(i).File(7).Name];
    FF(m+1:2*m,1:n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(8).Name];
    FF(m+1:2*m,n+1:2*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(9).Name];
    FF(m+1:2*m,2*n+1:3*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(10).Name];
    FF(m+1:2*m,3*n+1:4*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(11).Name];
    FF(m+1:2*m,4*n+1:5*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(12).Name];
    FF(m+1:2*m,5*n+1:end,:)=imresize(imread(path_image),myscale);
    %
    path_image=[path_dest files.images(i).File(13).Name];
    FF(2*m+1:end,1:n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(14).Name];
    FF(2*m+1:end,n+1:2*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(15).Name];
    FF(2*m+1:end,2*n+1:3*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(16).Name];
    FF(2*m+1:end,3*n+1:4*n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(17).Name];
    FF(2*m+1:end,4*n+1:5*n,:)=imresize(imread(path_image),myscale);

   figure(1);imshow(FF);
end;