function show_stereo_cam_sequence(varargin)

% Barcelona Robot Lab Data Set (BRL)
% IRI Mobile Robotics Group, 2011

%% path dataset xlm
s = filesep;
if nargin < 1
  % Default directory
  root_dir = ['..' s '..' s 'eval_data_set' s];  
else
  % your data set directory
  root_dir = varargin{1};
end

initParseTools('.');

%% path stereo images
path_im=[ root_dir '/20101021_stereo_cam_ft.xml'];
%image information
files.images = getFilesParam(path_im);
path_dest=[ root_dir files.images(1).SRC '/'];

%image infomation
myscale=0.25;

% load first image to get size
path_image=[path_dest files.images(1).File(1).Name];

F=imresize(imread(path_image),myscale);
[m,n,o]=size(F);
FF = repmat(F,[1,2,1]);

for i=1:1:length(files.images),
    path_image=[path_dest files.images(i).File(1).Name];
    FF(:,1:n,:)=imresize(imread(path_image),myscale);
    path_image=[path_dest files.images(i).File(2).Name];
    FF(:,n+1:end,:)=imresize(imread(path_image),myscale);
    figure(1);imshow(FF);
end;