function theStruct = parseXML(filename)
% PARSEXML Convert XML file to a MATLAB structure.
fprintf('Parsing XML...')
try
   tree = xmlread(filename);
catch
   error('Failed to read XML file %s.',filename);
end

% Recurse over child nodes. This could run into problems 
% with very deeply nested trees.
try
   theStruct = parseChildNodes(tree);
catch
   error('Unable to parse XML file.');
end
fprintf('DONE\n')
