function [scanRGB pts]= getRGBfrom3Dpoints(data3D)

% TODO: function header
n_points=size(data3D,2);
scanRGB = zeros(n_points,3);
distance = zeros(n_points,1);


step =0.1;

[ignore inx] =sort(data3D(3,:));
pts = data3D(:,inx);
color_  = jet(size( 1:step:ceil(max(pts(3,:))-min(pts(3,:))),2));
d_min = min(pts(3,:));
for i =1:size(color_,1)
  [lowinx  uppinx] =binSearch(d_min+step*(i-1),step/2,0,pts(3,:)');
  scanRGB(lowinx:uppinx,:) = repmat(color_(i,:),uppinx-lowinx+1,1);

end

